<style>
  .label_icon {
    cursor: pointer;
  }
  #labels_used div {
    border: 1px solid #777;
    border-radius: 2px;
    padding-left: 2px;
    cursor: pointer;
  }
</style>

<h3><%= t('.title', role: Role.model_name.human.pluralize) + ' ' + t(".#{by_user_role}") %></h3>

<%= link_to t('.by_role'), roles_url(attrib_role: @attrib_role&.id, by_user_role: 'by_role'), class: 'btn btn-outline-dark' %>
<%= link_to t('.by_user'), roles_url(by_user_role: 'by_user'), class: 'btn btn-outline-dark' %>

<hr>

<% if by_user_role == 'by_user' %>
  <%= render partial: 'index_by_user' %>
<% else %>
  <%= render partial: 'index_by_role' %>
<% end %>

<br>
<div class="admin-col">
  <div class="admin-col-title admin-col-title-grey admin-col-title-bold">
    <%= t('.documentation') %>
    <button id='header-collapse-rolesdoc' class="btn collapsed" type="button" data-toggle="collapse" data-target="#collapse-rolesdoc" aria-expanded="false" aria-controls="collapse-rolesdoc">
      <span class="collapse-icon"><%= fa_icon('caret-down') %></span>
    </button>
  </div>
  <div id='collapse-rolesdoc' class="admin-col-content collapse-prowhy-ls show collapse">
    <%= render partial: 'roles_documentation' %>
  </div>
</div>

<script text="javascript">
  $(function() {
    $(".label_change_used").click(function(event) {
      console.log("Del label");
      console.log(this.value);

      if($(this).hasClass('label_unused')) {
        console.log("Add label");
        $(this).removeClass('label_unused').addClass('label_used');
        $(this).parent().detach().appendTo('#labels_used');
        // $(this).find('.label_icon').html('<%= fa_icon("minus-square") %>');
        $(this).html('<%= fa_icon("minus-square") %>');
      }
      else {
        console.log("Del label");
        $(this).removeClass('label_used').addClass('label_unused');
        $(this).parent().detach().appendTo('#labels_unused');
        // $(this).find('.label_icon').html('<%= fa_icon("plus-square") %>');
        $(this).html('<%= fa_icon("plus-square") %>');
      }
    });

    $("#labels_used").sortable();

    $('#attrib_role').change(function(event) {
      $('#change-role').trigger('click');
      console.log('Click change role');
    });

    $('#attrib_user').change(function(event) {
      $('#change-user').trigger('click');
      console.log('Click change user');
    });
  });
</script>
